<template>
  <div id="app">
    <HeaderComponent/>
    <router-view/>
  </div>
</template>

<script>
// @ is an alias to /src
import HeaderComponent from '@/components/HeaderComponent.vue'

export default {
  name: 'App',
  components: {
    HeaderComponent
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

nav {
  padding: 30px;
}

nav a {
  font-weight: bold;
  color: #2c3e50;
}

nav a.router-link-exact-active {
  color: #42b983;
}

.btn-outline, .btn.dropdown-toggle.btn-outline-primary {
  border-color: rgb(29, 155, 240)!important;
  color: rgb(29, 155, 240)!important;
}

.btn-outline:hover, .btn.dropdown-toggle.btn-outline-primary:hover, .btn.dropdown-toggle.btn-outline-primary:focus, .btn.dropdown-toggle.btn-outline-primary:active {
  background-color: aliceblue!important;
}
.btn-outline-primary:not(:disabled):not(.disabled).active, .btn-outline-primary:not(:disabled):not(.disabled):active, .show>.btn-outline-primary.dropdown-toggle {
  background-color: aliceblue!important;
}

.link-group a:hover {
    color: lightgray;
    text-decoration: none!important;
}
</style>
